# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           kxml
Version:        2.3.0
Release:        %mkrel 18
Group:          Development/Java
Summary:        Small XML pull parser
License:        MIT
URL:            http://kxml.sourceforge.net/
# ./create-tarball %%{version}
Source0:        %{name}-%{version}-clean.tar.gz
Source1:        http://repo1.maven.org/maven2/net/sf/kxml/kxml2/%{version}/kxml2-%{version}.pom
Source2:        http://repo1.maven.org/maven2/net/sf/kxml/kxml2-min/%{version}/kxml2-min-%{version}.pom
Source3:        %{name}-%{version}-OSGI-MANIFEST.MF

Patch0:         0000-Unbundle-xpp3-classes.patch
Patch1:         0001-set-javac-source-target-1.8.patch

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  xpp3 >= 0:1.1.3.1
Requires:       xpp3 >= 0:1.1.3.1

BuildArch:      noarch

%description
kXML is a small XML pull parser, specially designed for constrained
environments such as Applets, Personal Java or MIDP devices.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CLASSPATH=$(build-classpath xpp3)
ant

jar ufm dist/%{name}2-%{version}.jar %{SOURCE3}

%mvn_artifact %{SOURCE1} dist/%{name}2-%{version}.jar
%mvn_artifact %{SOURCE2} dist/%{name}2-min-%{version}.jar

# Compat symlinks
%mvn_file :kxml2 kxml/kxml2 kxml
%mvn_file :kxml2-min kxml/kxml2-min kxml-min

%install
%mvn_install -J www/kxml2/javadoc

%files -f .mfiles
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt




%changelog
* Fri Dec 04 2020 luigiwalser <luigiwalser> 2.3.0-18.mga8
+ Revision: 1652660
- Set javac source and target to 1.8 to fix Java 11 builds.
- Fix CLASSPATH (fixes building JavaDocs on Java11).

* Wed Feb 12 2020 umeabot <umeabot> 2.3.0-17.mga8
+ Revision: 1501913
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.3.0-16.mga7
+ Revision: 1279189
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 2.3.0-15.mga7
+ Revision: 1161801
- Install with xmvn
- Elimitate race condition when injecting JAR manifest
- Resolves: rhbz#1495232

* Fri Apr 29 2016 daviddavid <daviddavid> 2.3.0-11.mga6
+ Revision: 1007674
- Fix OSGi metadata after RHBZ#1299774
- Unbundle xpp3 classes
- Resolves: rhbz#1299774
+ neoclust <neoclust>
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package kxml with fedora

* Tue Feb 09 2016 umeabot <umeabot> 2.3.0-10.mga6
+ Revision: 952356
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 daviddavid <daviddavid> 2.3.0-9.mga5
+ Revision: 815615
- use .mfiles generated during build
- update Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-8.mga5
+ Revision: 748101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-7.mga5
+ Revision: 681256
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 luigiwalser <luigiwalser> 2.3.0-6.mga5
+ Revision: 596687
- Install POM+depmap for net.sf.kxml:kxml2-min (from fedora)

* Tue Dec 31 2013 dmorgan <dmorgan> 2.3.0-5.mga4
+ Revision: 563682
- Rebuild against java stack

* Mon Dec 30 2013 dmorgan <dmorgan> 2.3.0-4.mga4
+ Revision: 563263
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.3.0-2.mga3
+ Revision: 356629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 2.3.0-1.mga2
+ Revision: 166379
- update to 2.3.0

* Tue Feb 01 2011 dmorgan <dmorgan> 2.2.2-3.mga1
+ Revision: 45865
- Adapt for mageia
- imported package kxml


* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 2.2.2-5
- Fix Summary and description.
- Fix line length.
- Use pom from the URL.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 2.2.2-4
- Adapt for Fedora.

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 2.2.2-3
- Auto rebuild for JPackage 5 in mock

* Wed May 07 2008 Ralph Apel <r.apel@r-apel.de> 0:2.2.2-2jpp
- Add xpp3 (B)R

* Wed May 07 2008 Ralph Apel <r.apel@r-apel.de> 0:2.2.2-1jpp
- 2.2.2

* Thu Aug 26 2004 Fernando Nasser <fnasser@redhat.com> 0:2.1.8-4jpp
- Pro-forma rebuild with Ant 1.6.2

* Mon Jan 26 2004 David Walluck <david@anti-microsoft.org> 0:2.1.8-3jpp
- remove fractal reference

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:2.1.8-2jpp
- fix license

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:2.1.8-1jpp
- release
